Subject: Re: [pasemi] problem with i2c-pasemi

From: Wolfram Sang <[email-masked]>
Date: Sun, 31 Jul 2016 08:36:56 +0200

>     00:1c.2 SMBus: PA Semi, Inc PWRficient SMBus Controller (rev 01)
>        Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
> Stepping- SERR- FastB2B- DisINTx-
>        Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort-
> <TAbort- <MAbort- >SERR- <PERR- INTx-
>        Interrupt: pin A routed to IRQ 72
>        Region 0: I/O ports at 7f0280 [size=64]
> 
> SMbus Controllers
> The CPU provides 3 SMbus controllers, and these are used to connect up
> various SMbus and I2C devices. The number of SMbusses is expanded to 7 via a
> 1:4 multiplexer on SMbus 1.

Can you send the output of 'i2cdetect -l' (you need i2c-tools for that).
I assume the multiplexed bus occupies the bus number the above bus 1c.2
wants to have. This was present all the time, my recent change only made
it visible.